#include <iostream>
#include <vector>
#include <stdlib.h>
#include <stdio.h>
#include <set>
#include <algorithm>

using namespace std;

int Q(int l, int r)
{
    cout << l+1 << " " << r+1 << endl;
    int p;
    cin >> p;
    return p;
}

int ans[10000];


int print_ans(int k, int n)
{
    cout << "Ready!" << endl;
    cout << k << endl;
    for(int i = 0; i < n; i++) cout << ans[i] + 1 << " ";
    cout << endl;
}


int main()
{
    //freopen("video.in", "r", stdin);
    //freopen("video.out", "w", stdout);

    int n;
    cin >> n;

    int k = Q(0, n-1);

    if(k == 1)
    {
        cout << "Ready!" << endl;
        cout << k << endl;
        for(int i = 0; i < n; i++) cout << 1 << " ";
        cout << endl;
        return 0;
    }

    ans[0] = 0;
    for(int i = 1; i < n; i++)
    {
        if(Q(i-1, i) == 1) ans[i] = ans[i-1];
        else ans[i] = !ans[i-1];
    }

    print_ans(k, n);


    return 0;
}
